Skip to main content
Weavr Multi Product API
Outgoing Wire Transfers

Create an outgoing wire transfer

POST/outgoing_wire_transfers

Transfers funds from managed accounts to an external bank account.

The Outgoing Wire Transfer Profile (configured in the Multi Portal) specified determines the behaviour and restrictions of the transaction (for example, fees).

Note that even if the transaction is created successfully, you still need to check its state in order to determine if it is pending completion of an authentication challenge by the user.

Request

Header parameters

Request body

*
application/json
{}
OutgoingWireTransferCreateRequestOutgoingWireTransferCreateRequest · object · 7 fields

Responses

200OK

Success

Headers
Body
application/json
{}
OutgoingWireTransferOutgoingWireTransfer · object · 16 fields
Response example
{  "id": "string",  "profileId": "string",  "tag": "string",  "sourceInstrument": {    "type": "managed_accounts",    "id": "string"  },  "transferAmount": {    "currency": "string",    "amount": 0  },  "description": "string",  "type": "SEPA",  "destination": {    "name": "string",    "type": "PERSONAL",    "address": "string",    "bankName": "string",    "bankAddress": "string",    "bankCountry": "string",    "bankAccountDetails": {      "iban": "string",      "bankIdentifierCode": "string"    },    "nationality": "string",    "dateOfBirth": "2024-01-01"  },  "state": "INVALID",  "rejectedInfo": "SYSTEM",  "challengeExemptionReason": "LOW_VALUE",  "creationTimestamp": 0,  "scheduledTimestamp": "string",  "executionTimestamp": "string",  "cancellationReason": "string",  "validationOutcomes": [    {      "category": "UK_CONFIRMATION_OF_PAYEE",      "categoryResult": {        "match": "EXACT_MATCH",        "reasonCode": "ANNM",        "accountName": "string"      }    }  ]}